Loading...
Searching...
No Matches
elasticity_preconditioners.hpp File Reference

Preconditioners for elasticity upscaling. More...

`#include <opm/common/utility/platform_dependent/disable_warnings.h>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/istl/bcrsmatrix.hh>`
`#include <dune/istl/matrixmatrix.hh>`
`#include <dune/istl/ilu.hh>`
`#include <dune/istl/solvers.hh>`
`#include <dune/istl/preconditioners.hh>`
`#include <dune/istl/superlu.hh>`
`#include <dune/istl/umfpack.hh>`
`#include <dune/istl/paamg/amg.hh>`
`#include <dune/istl/paamg/fastamg.hh>`
`#include <dune/istl/paamg/twolevelmethod.hh>`
`#include <dune/istl/overlappingschwarz.hh>`
`#include <opm/common/utility/platform_dependent/reenable_warnings.h>`
`#include <opm/grid/CpGrid.hpp>`
`#include <opm/elasticity/asmhandler.hpp>`
`#include <opm/elasticity/matrixops.hpp>`

Go to the source code of this file.

## Classes

struct | Opm::Elasticity::Schwarz
| Overlapping Schwarz preconditioner. More...
struct | Opm::Elasticity::AMG1< Smoother >
| An AMG. More...
struct | Opm::Elasticity::FastAMG
| A FastAMG. More...
struct | Opm::Elasticity::AMG2Level< Smoother >
| A two-level method with a coarse AMG solver. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Typedefs

typedef Dune::MatrixAdapter< Matrix, Vector, Vector > | Opm::Elasticity::Operator
| A linear operator.
typedef Dune::SeqSSOR< Matrix, Vector, Vector > | Opm::Elasticity::SSORSmoother
| SSOR AMG smoother.
typedef Dune::SeqJac< Matrix, Vector, Vector > | Opm::Elasticity::JACSmoother
| GJ AMG smoother.
typedef Dune::SeqILU< Matrix, Vector, Vector > | Opm::Elasticity::ILUSmoother
| ILU0 AMG smoother.
typedef Dune::SeqOverlappingSchwarz< Matrix, Vector, Dune::SymmetricMultiplicativeSchwarzMode, LUSolver > | Opm::Elasticity::SchwarzSmoother
| Schwarz + ILU0 AMG smoother.

## Detailed Description

Preconditioners for elasticity upscaling.

Date
  Aug 30 2013

Author
  Arne Morten Kvarving / SINTEF